Subject: Re: [PATCH iproute2] Re: HTB accuracy for high speed

From: Jarek Poplawski <[email-masked]>
Date: Tue, 19 May 2009 11:28:28 +0000

On Tue, May 19, 2009 at 02:21:28PM +0300, Denys Fedoryschenko wrote:
> On Tuesday 19 May 2009 14:18:57 Jarek Poplawski wrote:
> >
> > Sure, if the queue is too short we could have a problem with reaching
> > the expected rate; but here it's all backwards - it could actually
> > "help" with the stats. ;-)
> >
> > Jarek P.
> Well, i had real experience on HTB, when i set too short buffers on  my QoS 
> qdiscs, the incoming rate jumped too high than overall. When i set larger 
> buffers (and by the way dropped sfq and use bfifo) - it is dropped.  No idea 
> why, bug or specific things in  protocols congestion control. Maybe worth to 
> try...
> 

Very strange. Anyway, "overlimits 0" suggests HTB always got packets
when it needed...

Jarek P.